Name:           mockito
Version:        1.10.19
Release:        %mkrel 10
Group:          Development/Java
Summary:        A Java mocking framework

License:        MIT
URL:            http://%{name}.org
Source0:        %{name}-%{version}.tar.xz
Source1:        make-%{name}-sourcetarball.sh
Patch0:         fixup-ant-script.patch
Patch1:         fix-bnd-config.patch
Patch2:         %{name}-matcher.patch
# Workaround for NPE in setting NamingPolicy in cglib
Patch3:         setting-naming-policy.patch
# because we have old objenesis
Patch4:         fix-incompatible-types.patch

BuildArch:      noarch
BuildRequires:  javapackages-local
BuildRequires:  java-devel
BuildRequires:  ant
BuildRequires:  objenesis
BuildRequires:  cglib
BuildRequires:  junit
BuildRequires:  hamcrest
BuildRequires:  aqute-bnd

Requires:       objenesis
Requires:       cglib
Requires:       junit
Requires:       hamcrest

%description
Mockito is a mocking framework that tastes really good. It lets you write
beautiful tests with clean & simple API. Mockito doesn't give you hangover
because the tests are very readable and they produce clean verification
errors.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# workaround rhbz#1292777 Files not found for javadoc generation
touch javadoc/stylesheet.css

%pom_add_dep net.sf.cglib:cglib:3.1 maven/mockito-core.pom
find . -name "*.java" -exec sed -i "s|org\.%{name}\.cglib|net\.sf\.cglib|g" {} +
mkdir -p lib/compile

%build
build-jar-repository lib/compile objenesis cglib junit hamcrest/core
ant jar javadoc

# Convert to OSGi bundle
pushd target
bnd wrap \
 --version %{version} \
 --output %{name}-core-%{version}.bar \
 --properties ../conf/%{name}-core.bnd \
 %{name}-core-%{version}.jar
mv %{name}-core-%{version}.bar %{name}-core-%{version}.jar

# Explicit Require-Bundle on hamcrest
unzip mockito-core-%{version}.jar META-INF/MANIFEST.MF
sed -i -e '2iRequire-Bundle: org.hamcrest.core' META-INF/MANIFEST.MF
jar umf META-INF/MANIFEST.MF mockito-core-%{version}.jar
popd

sed -i -e "s|@version@|%{version}|g" maven/%{name}-core.pom
%mvn_artifact maven/%{name}-core.pom target/%{name}-core-%{version}.jar
%mvn_alias org.%{name}:%{name}-core org.%{name}:%{name}-all

%install
%mvn_install -J target/javadoc

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 1.10.19-10.mga6
+ Revision: 1007715
- Explicitly import more cglib packages in OSGi metadata to prevent mockito
  failing under certain circumstances during Eclipse test suites
- Require hamcrest explicitly in OSGi metadata

  + neoclust <neoclust>
    - Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.10.19-8.mga6
+ Revision: 977340
- First rebuild of the java stack
- sync package mockito with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-8.mga5
+ Revision: 746821
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.0-7.mga5
+ Revision: 682555
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 dmorgan <dmorgan> 1.9.0-6.mga5
+ Revision: 671666
- Fix Require into junit instead of junit4

* Mon Oct 21 2013 umeabot <umeabot> 1.9.0-5.mga4
+ Revision: 537732
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.9.0-4.mga4
+ Revision: 487574
- Patched LocalizedMatcher due to hamcrest update, (bug upstream)

* Sat Jan 12 2013 umeabot <umeabot> 1.9.0-3.mga3
+ Revision: 360178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.9.0-2.mga3
+ Revision: 293363
- Fix sources
- Make mockito an OSGi bundle using upstream bnd config.

* Mon Jul 09 2012 dmorgan <dmorgan> 1.9.0-1.mga3
+ Revision: 269023
- New version 1.9.0

* Thu Aug 11 2011 dmorgan <dmorgan> 1.8.5-1.mga2
+ Revision: 132701
- Clean spec file

  + gil <gil>
    - edit spec file
    - imported package mockito


* Thu Jun 30 2011 gil <gil> 1.8.5-0.%%mkrel
- initial rpm